---
title: active
slug: Web/API/MediaStream/active
tags:
  - API
  - Media Capture and Streams
  - Media Streams API
  - MediaStream
  - Property
  - Reference
  - active
---
<p>{{APIRef("Media Capture and Streams")}}</p>

<p>The <strong><code>active</code></strong> read-only property of the {{domxref("MediaStream")}} interface returns a Boolean value which is <code>true</code> if the stream is currently active; otherwise, it returns <code>false</code>. A stream is considered <strong>active</strong> if at least one of its {{domxref("MediaStreamTrack")}}s is not in the {{domxref("MediaStreamTrack.ended")}} state. Once every track has ended, the stream's <code>active</code> property becomes <code>false</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">const <em>isActive</em> = <em>MediaStream</em>.active;</pre>

<h3 id="Value">Value</h3>

<p>A Boolean value which is <code>true</code> if the stream is currently active; otherwise, the value is <code>false</code>.</p>

<h2 id="Example">Example</h2>

<p>In this example, a new stream whose source is the user's local camera and microphone is requested using {{domxref("MediaDevices.getUserMedia", "getUserMedia()")}}. When that stream becomes available (that is, when the returned {{jsxref("Promise")}} is fulfilled, a button on the page is updated based on whether or not the stream is currently active.</p>

<pre class="brush: js notranslate">const promise = navigator.mediaDevices.getUserMedia({
  audio: true,
  video: true
});

promise.then((stream) =&gt; {
  const startBtn = document.querySelector('#startBtn');
  startBtn.disabled = stream.active;
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Media Capture', '#dom-mediastream-active', 'active')}}</td>
   <td>{{Spec2('Media Capture')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaStream.active")}}</p>
